## prog.utili
Class Importo

    java.lang.Object
      prog.utili.Importo

All Implemented Interfaces:
  java.lang.Comparable<Importo>

    public class Importo

extends java.lang.Object
implements java.lang.Comparable<Importo>

Un oggetto della classe `Importo` rappresenta un importo in Euro.

Version:
  2.0
Author:
  Mauro Ferrari, Giovanni Pighizzini

Field Summary
`static double` `toLIRE` Equivalente in lire di un Euro

Constructor Summary
`Importo(int x)` Costruisce un nuovo oggetto che rappresenta un importo in cui il numero di Euro, senza centesimi, è specificato dall'argomento.
`Importo(int x, int y)` Costruisce un nuovo oggetto che rappresenta un importo in cui il numero di Euro è specificato dal primo argomento e il numero di centesimi di Euro dal secondo argomento.

Method Summary
`int` `compareTo(Importo x)` Confronta l'importo che esegue il metodo con quello specificato come argomento.
`Importo` `diviso(int x)` Restituisce il riferimento a un nuovo oggetto che rappresenta l'importo ottenuto dividendo l'importo rappresentato dall'oggetto che esegue il metodo per l'intero fornito tramite l'argomento.
`boolean` `equals(Importo altro)` Restituisce `true` se l'importo rappresentato dall'oggetto che esegue il metodo è uguale a quello specificato tramite l'argomento, `false` in caso contrario.
`boolean` `equals(java.lang.Object o)` Restituisce `true` se e solo se l'oggetto specificato come argomento è un'istanza di `Importo` e l'importo che esegue il metodo è uguale a quello specificato tramite l'argomento.
`static Importo` `fromLire(int x)` Restituisce il riferimento a un nuovo oggetto che rappresenta l'importo in Euro equivalente al numero di lire fornito tramite l'argomento.
`int` `getCent()` Restituisce il numero di centesimi dell'importo rappresentato dall'oggetto che esegue il metodo.
`int` `getEuro()` Restituisce il numero di Euro (senza centesimi) dell'importo rappresentato dall'oggetto che esegue il metodo.
`boolean` `isMaggiore(Importo x)` Restituisce `true` se l'importo rappresentato dall'oggetto che esegue il metodo è maggiore di quello specificato tramite l'argomento, `false` in caso contrario.
`boolean` `isMinore(Importo x)` Restituisce `true` se l'importo rappresentato dall'oggetto che esegue il metodo è minore di quello specificato tramite l'argomento, `false` in caso contrario.
`Importo` `meno(Importo x)` Restituisce il riferimento a un nuovo oggetto che rappresenta l'importo ottenuto sottraendo l'importo fornito tramite l'argomento a quello rappresentato dall'oggetto che esegue il metodo.
`Importo` `per(int x)` Restituisce il riferimento a un nuovo oggetto che rappresenta l'importo ottenuto moltiplicando l'importo rappresentato dall'oggetto che esegue il metodo per l'intero fornito tramite l'argomento.
`Importo` `piu(Importo x)` Restituisce il riferimento a un nuovo oggetto che rappresenta l'importo ottenuto sommando l'importo fornito tramite l'argomento a quello rappresentato dall'oggetto che esegue il metodo.
`int` `toLire()` Restituisce il valore in lire corrispondente all'importo rappresentato dall'oggetto che esegue il metodo
`java.lang.String` `toString()` Restituisce il riferimento a una stringa che rappresenta il valore dell'importo che esegue il metodo (la stringa contiene nelle due posizioni più a destra le cifre corrispondenti ai centesimi, anche se queste sono zero).

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### toLIRE

    public static final double toLIRE

  Equivalente in lire di un Euro

  See Also:
    Constant Field Values

Constructor Detail

### Importo

    public Importo(int x,
                   int y)

  Costruisce un nuovo oggetto che rappresenta un importo in cui il numero di Euro è specificato dal primo argomento e il numero di centesimi di Euro dal secondo argomento.

  Parameters:
    `x` - numero di Euro.
    `y` - numero di centesimi.
    Nel caso il numero di Euro sia negativo l'intero importo viene interpretato come negativo, nel caso il numero di centesimi sia negativo, viene sottratto all'importo.

### Importo

    public Importo(int x)

  Costruisce un nuovo oggetto che rappresenta un importo in cui il numero di Euro, senza centesimi, è specificato dall'argomento.

  Parameters:
    `x` - numero di Euro.

Method Detail

### piu

    public Importo piu(Importo x)

  Restituisce il riferimento a un nuovo oggetto che rappresenta l'importo ottenuto sommando l'importo fornito tramite l'argomento a quello rappresentato dall'oggetto che esegue il metodo.

  Parameters:
    `x` - l'importo da sommare a quello che esegue il metodo.
  Returns:
    il riferimento all'importo ottenuto sommando l'importo fornito tramite l'argomento a quello che esegue il metodo.

### meno

    public Importo meno(Importo x)

  Restituisce il riferimento a un nuovo oggetto che rappresenta l'importo ottenuto sottraendo l'importo fornito tramite l'argomento a quello rappresentato dall'oggetto che esegue il metodo.

  Parameters:
    `x` - l'importo da sottrarre a quello che esegue il metodo.
  Returns:
    il riferimento all'importo ottenuto sottraendo l'importo fornito tramite l'argomento a quello che esegue il metodo.

### per

    public Importo per(int x)

  Restituisce il riferimento a un nuovo oggetto che rappresenta l'importo ottenuto moltiplicando l'importo rappresentato dall'oggetto che esegue il metodo per l'intero fornito tramite l'argomento.

  Parameters:
    `x` - l'intero per cui moltiplicare l'importo che esegue il metodo.
  Returns:
    il riferimento all'importo ottenuto moltiplicando l'importo che esegue il metodo per quello fornito tramite l'argomento.

### diviso

    public Importo diviso(int x)

  Restituisce il riferimento a un nuovo oggetto che rappresenta l'importo ottenuto dividendo l'importo rappresentato dall'oggetto che esegue il metodo per l'intero fornito tramite l'argomento.

  Parameters:
    `x` - l'intero per cui dividere l'importo che esegue il metodo.
  Returns:
    il riferimento all'importo ottenuto dividendo l'importo che esegue il metodo per quello fornito tramite l'argomento.

### toLire

    public int toLire()

  Restituisce il valore in lire corrispondente all'importo rappresentato dall'oggetto che esegue il metodo

  Returns:
    valore in lire corrispondente all'importo che esegue il metodo

### getEuro

    public int getEuro()

  Restituisce il numero di Euro (senza centesimi) dell'importo rappresentato dall'oggetto che esegue il metodo.

  Returns:
    numero di Euro

### getCent

    public int getCent()

  Restituisce il numero di centesimi dell'importo rappresentato dall'oggetto che esegue il metodo.

  Returns:
    numero di centesimi

### fromLire

    public static Importo fromLire(int x)

  Restituisce il riferimento a un nuovo oggetto che rappresenta l'importo in Euro equivalente al numero di lire fornito tramite l'argomento.

  Parameters:
    `x` - l'importo in lire
  Returns:
    l'equivalente in Euro

### toString

    public java.lang.String toString()

  Restituisce il riferimento a una stringa che rappresenta il valore dell'importo che esegue il metodo (la stringa contiene nelle due posizioni più a destra le cifre corrispondenti ai centesimi, anche se queste sono zero).

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    la stringa che rappresenta l'importo

### isMinore

    public boolean isMinore(Importo x)

  Restituisce `true` se l'importo rappresentato dall'oggetto che esegue il metodo è minore di quello specificato tramite l'argomento, `false` in caso contrario.

  Parameters:
    `x` - l'importo da confrontare con quello che esegue il metodo.
  Returns:
    `true` se l'importo che esegue il metodo è minore di quello fornito tramite l'argomento, `false` altrimenti.

### isMaggiore

    public boolean isMaggiore(Importo x)

  Restituisce `true` se l'importo rappresentato dall'oggetto che esegue il metodo è maggiore di quello specificato tramite l'argomento, `false` in caso contrario.

  Parameters:
    `x` - l'importo da confrontare con quello che esegue il metodo.
  Returns:
    `true` se l'importo che esegue il metodo è maggiore di quello fornito tramite l'argomento, `false` altrimenti.

### equals

    public boolean equals(Importo altro)

  Restituisce `true` se l'importo rappresentato dall'oggetto che esegue il metodo è uguale a quello specificato tramite l'argomento, `false` in caso contrario.

  Parameters:
    `altro` - l'importo da confrontare con quello che esegue il metodo.
  Returns:
    `true` se e solo se l'importo che esegue il metodo è uguale a quello fornito tramite l'argomento.

### equals

    public boolean equals(java.lang.Object o)

  Restituisce `true` se e solo se l'oggetto specificato come argomento è un'istanza di `Importo` e l'importo che esegue il metodo è uguale a quello specificato tramite l'argomento.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - l'oggetto da confrontare con quello che esegue il metodo.
  Returns:
    `true` se e solo se l'oggetto fornito come argomento è un importo uguale a quello che esegue il metodo.

### compareTo

    public int compareTo(Importo x)

  Confronta l'importo che esegue il metodo con quello specificato come argomento.

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Importo>`
  Parameters:
    `x` - l'importo da confrontare con quello che esegue il metodo.
  Returns:
    restituisce un numero intero minore di zero se l'importo fornito come argomento è minore di quello che esegue il metodo, restituisce zero se i due importi sono uguali e restituisce un intero maggiore zero se l'importo che esegue il metodo è maggiore di quello specificato come argomento.